# Loop printing the integers from 1 to 10
	
	.text			# code section
	.globl main

print_int:			# prints the integer contained in $a0 
	li $v0, 1		# 
	syscall			#
	jr $ra			# return

print_eol:			# prints "\n"
	li $v0, 4		# 
	la $a0, linebrk		#
	syscall			#
	jr $ra			# return
	
main:
	li $s0, 1		# $s0 = loop counter = lower loop bound
	li $s1, 10		# $s1 = upper bound of loop  
loop:	move $a0, $s0		# print loop counter
	jal print_int		#  "
	jal print_eol		# print "\n"
	addi $s0, $s0, 1	# increase loop counter by 1
	ble $s0, $s1, loop	# if $s0 <= $s1 goto loop

	.data
linebrk: .asciiz "\n"
	
				
	
		





	